// pages/master/shareIndex/shareIndex.js
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
    rid:'',
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad(options) {
    console.log(options);
    if(options.rid){
			this.setData({
				 rid:options.rid
      });
      // console.log(this.data.rid);
    }
  
	},

	onReady() {

	},

	onShow() {

	},

	onHide() {

	},

	onUnload() {

	},

	onPullDownRefresh() {

	},

	onReachBottom() {

	},

  onShareAppMessage: function () {
	
  },
  goActivityRules(){
    wx.navigateTo({
      url: '/pages/master/activityRules/activityRules',
    })
  },
  goshareDetails(){
    wx.navigateTo({
      url: '/pages/master/shareDetails/shareDetails?rid=' + this.data.rid,
    })
   
  },
  goPoster(){
    wx.navigateTo({
      url: '/pages/master/poster/poster?rid='+this.data.rid,
    })
  }
})